# ResourceHealth

> see https://aka.ms/autorest

This is the AutoRest configuration file for ResourceHealth.



---
## Getting Started
To build the SDK for ResourceHealth, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information
These are the global settings for the ResourceHealth API.

``` yaml
openapi-type: arm
tag: package-2017-07
```


### Tag: package-2017-07

These settings apply only when `--tag=package-2017-07` is specified on the command line.

``` yaml $(tag) == 'package-2017-07'
input-file:
- Microsoft.ResourceHealth/stable/2017-07-01/resourcehealth.json
```


### Tag: package-2015-01

These settings apply only when `--tag=package-2015-01` is specified on the command line.

``` yaml $(tag) == 'package-2015-01'
input-file:
- Microsoft.ResourceHealth/stable/2015-01-01/resourcehealth.json
```


---
# Code Generation


## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-node
```


## Go

These settings apply only when `--go` is specified on the command line.

``` yaml $(go)
go:
  license-header: MICROSOFT_APACHE_NO_VERSION
  namespace: resourcehealth
  clear-output-folder: true
```

### Go multi-api

``` yaml $(go) && $(multiapi)
batch:
  - tag: package-2017-07
  - tag: package-2015-01
```

### Tag: package-2017-07 and go

These settings apply only when `--tag=package-2017-07 --go` is specified on the command line.
Please also specify `--go-sdk-folder=<path to the root directory of your azure-sdk-for-go clone>`.

``` yaml $(tag) == 'package-2017-07' && $(go)
output-folder: $(go-sdk-folder)/services/resourcehealth/mgmt/2017-07-01/resourcehealth
```

### Tag: package-2015-01 and go

These settings apply only when `--tag=package-2015-01 --go` is specified on the command line.
Please also specify `--go-sdk-folder=<path to the root directory of your azure-sdk-for-go clone>`.

``` yaml $(tag) == 'package-2015-01' && $(go)
output-folder: $(go-sdk-folder)/services/resourcehealth/mgmt/2015-01-01/resourcehealth
```


## Java

These settings apply only when `--java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-libraries-for-java clone>`.

``` yaml $(java)
azure-arm: true
fluent: true
namespace: com.microsoft.azure.management.resourcehealth
license-header: MICROSOFT_MIT_NO_CODEGEN
payload-flattening-threshold: 1
output-folder: $(azure-libraries-for-java-folder)/azure-mgmt-resourcehealth
```

### Java multi-api

``` yaml $(java) && $(multiapi)
batch:
  - tag: package-2017-07
  - tag: package-2015-01
```

### Tag: package-2017-07 and java

These settings apply only when `--tag=package-2017-07 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2017-07' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.resourcehealth.v2017_07_01
  output-folder: $(azure-libraries-for-java-folder)/resourcehealth/resource-manager/v2017_07_01
regenerate-manager: true
generate-interface: true
```

### Tag: package-2015-01 and java

These settings apply only when `--tag=package-2015-01 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2015-01' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.resourcehealth.v2015_01_01
  output-folder: $(azure-libraries-for-java-folder)/resourcehealth/resource-manager/v2015_01_01
regenerate-manager: true
generate-interface: true
```


